summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorLaserEyess <lasereyess@users.noreply.github.com>2024-02-25 11:37:03 -0500
committerDudemanguy <random342@airmail.cc>2024-02-26 15:37:37 +0000
commitd5dc1e80259b88ac05ae20f3f8df7e0c6b1bf3d7 (patch)
treed024dc8e0bd9e79af06a9948428445fd48639a8e /ci
parentf493922e301b4c627d8d0d0e09646ec3a3fa2c92 (diff)
downloadmpv-d5dc1e80259b88ac05ae20f3f8df7e0c6b1bf3d7.tar.bz2
mpv-d5dc1e80259b88ac05ae20f3f8df7e0c6b1bf3d7.tar.xz
ci: add explicit build test for ffmpeg 4.4
This uses an alpine 3.15 container, which should be one of the oldest distros that mpv master can compile on and that uses ffmpeg 4.4. Some functionality is missing due to library versions being too old on alpine, e.g. wayland, mujs, and pipewire. The alpine build is also explicitly minimal, to test builds in conditions where many common mpv features may not be available.
Diffstat (limited to 'ci')
-rwxr-xr-xci/build-linux-old.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/build-linux-old.sh b/ci/build-linux-old.sh
new file mode 100755
index 0000000000..c9dffe19ce
--- /dev/null
+++ b/ci/build-linux-old.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+# clone exactly the oldest libplacebo we want to support
+rm -rf subprojects
+mkdir -p subprojects
+git clone https://code.videolan.org/videolan/libplacebo.git \
+ --depth 1 --branch v6.338 --recurse-submodules subprojects/libplacebo
+
+meson setup build \
+ -Dlibplacebo:vulkan=disabled \
+ -Dlibmpv=true \
+ -Dlua=enabled \
+ -Dtests=true
+
+meson compile -C build
+./build/mpv -v --no-config